Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] BZR Change 26 to devel sorcery by Andrew Stitt <astitt@sourcemage.org>

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: scm AT mail.sourcemage.org
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] BZR Change 26 to devel sorcery by Andrew Stitt <astitt AT sourcemage.org>
  • Date: Wed, 3 May 2006 11:25:03 -0500

------------------------------------------------------------
revno: 26
committer: Andrew Stitt <astitt AT sourcemage.org>
branch nick: devel-hack2
timestamp: Wed 2006-05-03 09:22:22 -0700
message:
fix bug 10465, gaze grimoire selection

=== modified file 'ChangeLog'
--- ChangeLog
+++ ChangeLog
@@ -1,3 +1,6 @@
+2006-05-03 Andrew Stitt <astitt AT sourcemage.org>
+ * gaze: fix bug 10465, gaze allows grimoire selection
+
2006-05-01 Andrew Stitt <astitt AT sourcemage.org>
* libdepends: fix search for default provider


=== modified file 'usr/sbin/gaze'
--- usr/sbin/gaze
+++ usr/sbin/gaze
@@ -1635,11 +1635,24 @@
[[ $UID != 0 ]] && test "$NICE" -lt 0 && NICE=0
renice $NICE -p $$ >/dev/null

- if [ $1 == "-q" ]; then
- shift;
- GAZE_VERBOSE=0
- PAGER=cat
- fi
+ while [[ -n "$1" ]] && [[ ${1:0:1} == "-" ]] ; do
+ case $1 in
+ -q) GAZE_VERBOSE=0
+ PAGER=cat
+ shift
+ ;;
+ -g) for grimoire in $2; do
+ if ! codex_find_grimoire $grimoire >/dev/null; then
+ message "${PROBLEM_COLOR}No such grimoire: " \
+ "${DEFAULT_COLOR}$grimoire"
+ return 1
+ fi
+ codex_set_grimoires $2
+ done
+ shift 2
+ ;;
+ esac
+ done


SPELL=$2

=== modified file 'usr/share/man/man1/gaze.1'
--- usr/share/man/man1/gaze.1
+++ usr/share/man/man1/gaze.1
@@ -5,7 +5,7 @@
.SH SYNOPSIS
.PP
.B gaze
-[-q] <what> [<arguments>]
+[-q] [-g <grimoires>] <what> [<arguments>]
.SH "DESCRIPTION"
.I gaze
is part of the sorcery source-based package management suite. It is a
@@ -22,6 +22,10 @@
.IP
disable human style output.
.PP
+.SS -g <grimoires>
+.IP
+specify which grimoire(s) to look in. To pass more than one, encapsulate
them in quotes.
+.PP
.SS alien
.IP
find and display all files which are not currently tracked by the




  • [SM-Commit] BZR Change 26 to devel sorcery by Andrew Stitt <astitt AT sourcemage.org>, scm, 05/03/2006

Archive powered by MHonArc 2.6.24.

Top of Page